    $(function () {
        //地图
        // setInterval("autochange()", 10000);
        //背景
        var wid = $(document).width();
        var hei = $(document).height();
        $("#particles-js").height(hei);
        $("#particles-js").width(wid);
        //时间 间隔一秒执行一次获取当前时间的方法
        setInterval(function () {
            CurrentTime()
        }, 1000);

        /** 查询故障接口数量 **/
        getFaultInterfaceCount();
        /** 接口数量和占比 **/
        countAndPercent();
        /** 归集数据/接口排名 **/
        imputationDataAndInterfaceRanking();
        // 切换
        var i = 0;//初始记录用户鼠标经过是第几个li
        var canmove = true;
        $('.tab_tit span').mouseenter(function (i) {
            canmove = false;
            clearInterval(li_timer);
            i = $(this).index();
            $(this).addClass('on').siblings().removeClass('on');
            $(this).attr('v', i);
            var e = $('.tab_div1 .jkgj_tab').index();
            $('.tab_div1 .jkgj_tab').attr('v', i);
            $('.tab_div1 .jkgj_tab').hide();
            $('.tab_div1 .jkgj_tab').eq(i).show();
        });

        $(".tab_div1").mouseenter(function () {//只要用户鼠标在这个tab1区域内，就不自动跳转
            canmove = false;
        }).mouseleave(function () {
            clearInterval(li_timer);
            setTimeout(function () {
                canmove = true;
            }, 2000);//两秒后自动切换
        });

        function li_timer() {
            if (canmove) {
                i++;
                if (i == $('.tab_tit span').length) {
                    i = 0;
                }
                $('.tab_tit span').eq(i).addClass('on').siblings().removeClass('on');
                $('.tab_div1 .jkgj_tab').hide();
                $('.tab_div1 .jkgj_tab').eq(i).show();
            }
        }
        setInterval(li_timer, 5000);//每两秒切换

        /** 市接口调用频次 **/
        getCityFrequency();
        /** 省接口调用频次 **/
        getProvinceFrequency();

        // 切换
        var u = 0;//初始记录用户鼠标经过是第几个li
        var canmoveu = true;
        $('.tab_tit2 span').mouseenter(function (i) {
            canmoveu = false;
            clearInterval(li_timer2);
            u = $(this).index();
            $(this).addClass('on').siblings().removeClass('on');
            $('.tab_div2').hide();
            $('.tab_div2').eq(u).show();
            if ($('.tab_div2').eq(1).is(':hidden')) {
                // 省接口调用频次
                getProvinceFrequency();
            } else if ($('.tab_div2').eq(1).is(':hidden')) {
                // 市接口调用频次
                getCityFrequency();
            }
        });

        $(".tab_div2").mouseenter(function () {//只要用户鼠标在这个tab1区域内，就不自动跳转
            canmove = false;
        }).mouseleave(function () {
            clearInterval(li_timer2);
            setTimeout(function () {
                canmoveu = true;
            }, 2000);//两秒后自动切换
        });

        function li_timer2() {
            // wid = 100;
            if (canmoveu) {
                u++;
                if (u == $('.tab_tit2 span').length) {
                    u = 0;
                }
                $('.tab_tit2 span').eq(u).addClass('on').siblings().removeClass('on');
                $('.tab_div2').hide();
                $('.tab_div2').eq(u).show();
            }
        }

        setInterval(li_timer2, 5000);//每两秒切换
        // 归集数据分析
        imputationDataList();
        // 弹框数据归集
        // tk_gjsj();



        // mp1();

        // setInterval("autochange()", 10000);




        // 接入部门下拉
$(".nav_la").hover(function(){
    $(".nav_div").toggle();
})

    });





    //时间
    function getNow(Mytime) {
        return Mytime < 10 ? '0' + Mytime : Mytime;
    }

    function CurrentTime() {
        var myDate = new Date();
        //获取当前年份
        var year = myDate.getFullYear();
        //获取当前月份
        var month = myDate.getMonth() + 1;
        //获取当前日期
        var date = myDate.getDate();
        //获取当前小时数(0-23)
        var h = myDate.getHours();
        //获取当前分钟数(0-59)
        var m = myDate.getMinutes();
        var s = myDate.getSeconds();
        var now = year + '-' + getNow(month) + '-' + getNow(date);
        var now2 = getNow(h) + ':' + getNow(m) + ':' + getNow(s);
        $(".nyr").text(now);
        $(".sfm").text(now2);
    }



    var t = 10000;
    function func1(){
        $(".map_img").attr('class','map_img mp1');
        $('.map_id1').addClass('mp_show').siblings('.map_id').removeClass('mp_show');
        setTimeout(func2,t);
    }
    function func2(){
        $(".map_img").attr('class','map_img mp2');
        $('.map_id2').addClass('mp_show').siblings('.map_id').removeClass('mp_show');
        setTimeout(func3,t);
    }
    function func3(){
        $(".map_img").attr('class','map_img mp3');
        $('.map_id3').addClass('mp_show').siblings('.map_id').removeClass('mp_show');
        setTimeout(func4,t)
    }
    function func4(){
        $(".map_img").attr('class','map_img mp4');
        $('.map_id4').addClass('mp_show').siblings('.map_id').removeClass('mp_show');
        setTimeout(func5,t)
    }
    function func5(){
        $(".map_img").attr('class','map_img mp5');
        $('.map_id5').addClass('mp_show').siblings('.map_id').removeClass('mp_show');
        setTimeout(func6,t)
    }
    function func6(){
        $(".map_img").attr('class','map_img mp6');
        $('.map_id6').addClass('mp_show').siblings('.map_id').removeClass('mp_show');
        setTimeout(func7,t)
    }
    function func7(){
        $(".map_img").attr('class','map_img mp7');
        $('.map_id7').addClass('mp_show').siblings('.map_id').removeClass('mp_show');
        setTimeout(func8,t)
    }
    function func8(){
        $(".map_img").attr('class','map_img mp8');
        $('.map_id8').addClass('mp_show').siblings('.map_id').removeClass('mp_show');
        setTimeout(func9,t)
    }
    function func9(){
        $(".map_img").attr('class','map_img mp9');
        $('.map_id9').addClass('mp_show').siblings('.map_id').removeClass('mp_show');
        setTimeout(func10,t)
    }
    function func10(){
        $(".map_img").attr('class','map_img mp10');
        $('.map_id10').addClass('mp_show').siblings('.map_id').removeClass('mp_show');
        setTimeout(func11,t)
    }
    function func11(){
        $(".map_img").attr('class','map_img mp11');
        $('.map_id11').addClass('mp_show').siblings('.map_id').removeClass('mp_show');
        setTimeout(func12,t)
    }
    function func12(){
        $(".map_img").attr('class','map_img mp12');
        $('.map_id12').addClass('mp_show').siblings('.map_id').removeClass('mp_show');
        setTimeout(func1,t)
    }

    window.onload = func1;

    function Alert(){
        alert(1);
    }